import { getAssetPath, h } from '@stencil/core';
import state from '../../store';
export class HemfixarnaCart {
  render() {
    const back = getAssetPath(`./assets/back.svg`);
    return (h("div", { class: "hemfixarna_cart" }, h("div", { class: "hemfixarna_cart--left" }, h("h2", null, state.checkoutStep === 2 && !state.checkoutEdit && (h("button", { onClick: () => {
        state.checkoutStep = 1;
      } }, h("img", { width: 24, src: back, alt: "back arrow" }))), "Din bokning"), h("hemfixarna-orderrows", null)), h("div", { class: "hemfixarna_cart--right" }, h("h2", null, state.checkoutStep === 2 && !state.checkoutEdit && (h("button", { onClick: () => {
        state.checkoutStep = 1;
      } }, h("img", { width: 24, src: back, alt: "back arrow" }))), "Dina uppgifter"), h("hemfixarna-checkout", null), h("hemfixarna-info", null))));
  }
  static get is() { return "hemfixarna-cart"; }
}
//# sourceMappingURL=hemfixarna-cart.js.map
