import { h } from '@stencil/core';
import state from '../../store';
export class HemfixarnaOrder {
  constructor() {
    this.render = () => {
      return (h("div", { style: { background: `url(${state.options.thank_you_image})` }, class: "hemfixarna_order" }, h("div", null), h("div", null, h("h2", null, state.checkoutInvoice ? 'Tack för din förfrågan' : 'Tack för din bokning'), state.checkoutInvoice ? h("p", null, "Vi \u00E5terkommer inom kort till dig p\u00E5 angivet telefonnummer eller epost") : null, state.checkoutInvoice ? h("div", null) : h("hemfixarna-orderrows", { cart: false }), h("span", { onClick: () => this.resetShop() }, h("button", null, "G\u00F6r en ny bokning")), h("hemfixarna-info", null))));
    };
  }
  resetShop() {
    state.step = 1;
    state.cart = [];
    state.selectedCategory = null;
    state.selectedService = null;
    state.selectedProduct = null;
    state.maleri = null;
    state.checkoutStep = 1;
  }
  disconnectedCallback() {
    this.resetShop();
  }
  static get is() { return "hemfixarna-order"; }
}
//# sourceMappingURL=hemfixarna-order.js.map
