import { fetchWithType } from './api';
import { getApiUrl } from './enviroment';
const base = `${getApiUrl()}/wp-json/felix`;
const postPerson = async (felixOrder) => {
  try {
    return await fetchWithType(`${base}/createperson`, {
      method: 'POST',
      body: JSON.stringify(felixOrder),
      headers: {
        'Content-Type': 'application/json',
      },
    });
  }
  catch (error) {
    console.log(error);
  }
};
export { postPerson };
//# sourceMappingURL=felixApi.js.map
