import { r as registerInstance, h } from './index-ea1d222e.js';
import { W as WidgetStyle, B as Business } from './index-10f224fb.js';

const hemfixarnaElfaCss = "";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.id = undefined;
    this.widgetStyle = WidgetStyle.standard;
    this.buttonColor = undefined;
    this.buttonBg = undefined;
  }
  render() {
    return (h("hemfixarna-component", { widgetStyle: this.widgetStyle, buttonBg: this.buttonBg, buttonColor: this.buttonColor, id: this.id, business: Business.elfa }));
  }
};
MyComponent.style = hemfixarnaElfaCss;

export { MyComponent as hemfixarna_elfa };

//# sourceMappingURL=hemfixarna-elfa.entry.js.map