import { r as registerInstance, h } from './index-ea1d222e.js';
import { s as state } from './index-20d4c934.js';

const HemfixarnaService = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("div", null, h("h2", null, state.selectedService.post_title), h("div", { class: "hemfixarna_categories--wrapper" }, h("div", null, h("ul", { class: "hemfixarna_categories" }, state.selectedService.products
      .sort((a, b) => (a.post_title < b.post_title ? -1 : 1))
      .map(p => {
      var _a;
      return (h("hemfixarna-box", { post: p, icon: (_a = p.icon.url) !== null && _a !== void 0 ? _a : p.icon, postTitle: p.title }));
    }))), h("hemfixarna-info", null))));
  }
};

export { HemfixarnaService as hemfixarna_service };

//# sourceMappingURL=hemfixarna-service.entry.js.map