import { Business, Product, WidgetStyle } from '../../types';
export declare class HemfixarnaComponent {
  modal: boolean;
  showModal: boolean;
  product: Product | null;
  id?: string;
  slug?: string;
  business: Business;
  widgetStyle: WidgetStyle;
  buttonColor?: string;
  buttonBg?: string;
  proppedProduct: Product | null;
  loginSourceError: null | string;
  private el;
  loadCategoryOrProduct(id: string): void;
  watchIdChange(id: string): Promise<void>;
  componentWillLoad(): Promise<void>;
  triggerScrollTotop: () => void;
  openModal(): void;
  closeModal(): void;
  handleClick(e: Event): void;
  handleLogin(): Promise<void>;
  getCartLength(): number;
  render(): any;
}
