import { Business, CartItem, Category, Customer, CustomerCategory, CustomerSubCategory, GreenOptions, Product, RotOptions, RutOptions, Service, User, WpOptions } from '../types';
import { CreditSafeUser } from '../types/felixtypes';
type StateType = {
  step: number;
  selectedCategory: Category | null;
  selectedService: Service | null;
  selectedProduct: Product | null;
  cart: Array<CartItem>;
  business: Business | 'undefined';
  options: WpOptions | null;
  rut: boolean;
  rot: boolean;
  green: boolean;
  token: string | null;
  checkoutStep: number;
  checkoutEdit: boolean;
  user: User | null;
  creditSafeUser: CreditSafeUser | null;
  modal: {
    title?: string;
    text: string;
  } | null;
  rutOptions: RutOptions | null;
  rotOptions: RotOptions | null;
  greenOptions: GreenOptions | null;
  customer: Customer | null;
  selectedCustomerCategory: CustomerCategory | CustomerSubCategory | null;
  parentCategory: CustomerCategory | CustomerSubCategory;
  checkoutInvoice: boolean;
  maleri: boolean;
  selectSource: boolean;
  showSourcePasswordPrompt: boolean;
};
declare const state: StateType;
export default state;
