import { User } from '.';
interface FelixPerson {
  Pa01_FirstName: string;
  Pa02_LastName: string;
  Pa03_Address1: string;
  Pa04_Address2: string;
  Pa05_Zipcode: string;
  Pa06_City: string;
  Pa07_State: string;
  Pa08_Country: string;
  Pa12_PersonalNo: string;
  Pa20_Email: string;
  Pa30_Phone: string;
  Pa31_Phone2: string;
  Pa11_StatusExternal: string;
  Pa041_AssignmentAddress: string;
  Pa042_AssignmentZipCode: string;
  Pa043_AssignmentCity: string;
}
interface GetFelixPersonRes {
  fieldData: FelixPerson;
  portalData: [];
  recordId: string;
  modId: string;
}
type CreditSafeUser = Pick<User, 'firstName' | 'lastName' | 'street' | 'zip' | 'town'>;
export type { CreditSafeUser, FelixPerson, GetFelixPersonRes };
