interface Product {
  [index: number]: string;
}
interface Service {
  [index: number]: string;
}
declare function initializeFelix(): Promise<string>;
declare function sendPerson(data: {
  products: Product[];
  serviceArr: Service[];
}): Promise<string | false>;
declare function checkPerson(ssn: string, url: string): Promise<string | null>;
declare function getPersonData(id: string): Promise<any>;
declare function updatePerson(data: {
  products: Product[];
  serviceArr: Service[];
  recievedChanged: boolean;
}, id: string): Promise<string | false>;
declare function findPricing(data: string): Promise<any>;
declare function processPassageRecords(data: string): Promise<any>;
export { checkPerson, findPricing, getPersonData, initializeFelix, processPassageRecords, sendPerson, updatePerson };
