'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-e6926623.js');
const index$1 = require('./index-6cce99a1.js');

const HemfixarnaCategory = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  setSelectedService(service) {
    index$1.state.selectedService = service;
    index$1.state.step = 3;
  }
  render() {
    return (index.h("div", null, index.h("h2", null, index$1.state.selectedCategory.name), index.h("div", { class: "hemfixarna_categories--wrapper" }, index.h("div", null, index.h("ul", { class: "hemfixarna_categories" }, index$1.state.selectedCategory.services
      .sort((a, b) => (a.post_title < b.post_title ? -1 : 1))
      .map(s => {
      var _a;
      return (index.h("hemfixarna-box", { post: s, icon: (_a = s.icon.url) !== null && _a !== void 0 ? _a : s.icon, postTitle: s.post_title }));
    }))), index.h("hemfixarna-info", null))));
  }
};

exports.hemfixarna_category = HemfixarnaCategory;

//# sourceMappingURL=hemfixarna-category.cjs.entry.js.map