import { h } from '@stencil/core';
import state from '../../store';
export class HemfixarnaCategory {
  setSelectedService(service) {
    state.selectedService = service;
    state.step = 3;
  }
  render() {
    return (h("div", null, h("h2", null, state.selectedCategory.name), h("div", { class: "hemfixarna_categories--wrapper" }, h("div", null, h("ul", { class: "hemfixarna_categories" }, state.selectedCategory.services
      .sort((a, b) => (a.post_title < b.post_title ? -1 : 1))
      .map(s => {
      var _a;
      return (h("hemfixarna-box", { post: s, icon: (_a = s.icon.url) !== null && _a !== void 0 ? _a : s.icon, postTitle: s.post_title }));
    }))), h("hemfixarna-info", null))));
  }
  static get is() { return "hemfixarna-category"; }
}
//# sourceMappingURL=hemfixarna-category.js.map
