import { getAssetPath, h } from '@stencil/core';
import state from '../../store';
export class HemfixarnaGrid {
  constructor() {
    this.tree = undefined;
    this.slug = undefined;
  }
  isMainCategory(category) {
    return category.show_products !== undefined;
  }
  handleMaleriClick() {
    state.step = 4;
    state.maleri = true;
  }
  render() {
    var _a;
    const maleriLogo = getAssetPath('./assets/gubbe-pensel.svg');
    return state.customer ? (h("div", null, h("h2", null, state.selectedCustomerCategory ? state.selectedCustomerCategory.name : 'Alla tjänster'), h("div", { class: "hemfixarna_categories--wrapper" }, h("ul", { class: "hemfixarna_categories" }, ((_a = state.selectedCustomerCategory) === null || _a === void 0 ? void 0 : _a.add_painting) ? (h("button", { onClick: () => this.handleMaleriClick(), class: "hemfixarna_maleribox" }, h("img", { height: 64, src: maleriLogo, alt: "M\u00E5leri Logotyp" }), h("p", null, "Ber\u00E4kna fast pris p\u00E5 m\u00E5leri & tapetsering h\u00E4r"))) : null, state.selectedCustomerCategory
      ? this.isMainCategory(state.selectedCustomerCategory) && state.selectedCustomerCategory.sub_categories && !state.selectedCustomerCategory.show_products
        ? state.selectedCustomerCategory.sub_categories.map(c => h("hemfixarna-box", { category: c }))
        : state.selectedCustomerCategory.products
          ? state.selectedCustomerCategory.products.map(c => h("hemfixarna-box", { category: c.fields }))
          : null
      : state.customer.categories.map(c => h("hemfixarna-box", { category: c }))), h("hemfixarna-info", null)))) : (h("div", null, h("h2", null, "Alla tj\u00E4nster"), h("div", { class: "hemfixarna_categories--wrapper" }, h("ul", { class: "hemfixarna_categories" }, this.tree.sub_cats
      .sort((a, b) => (a.name < b.name ? -1 : 1))
      .map(c => {
      var _a;
      return (h("hemfixarna-box", { post: c, icon: (_a = c.icon.url) !== null && _a !== void 0 ? _a : c.icon, postTitle: c.name }));
    })), h("hemfixarna-info", null))));
  }
  static get is() { return "hemfixarna-start"; }
  static get properties() {
    return {
      "tree": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "Category",
          "resolved": "Category",
          "references": {
            "Category": {
              "location": "import",
              "path": "../../types"
            }
          }
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        }
      },
      "slug": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "slug",
        "reflect": false
      }
    };
  }
}
//# sourceMappingURL=hemfixarna-start.js.map
