import { r as registerInstance, h } from './index-ea1d222e.js';
import { s as state } from './index-20d4c934.js';

const HemfixarnaCategory = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  setSelectedService(service) {
    state.selectedService = service;
    state.step = 3;
  }
  render() {
    return (h("div", null, h("h2", null, state.selectedCategory.name), h("div", { class: "hemfixarna_categories--wrapper" }, h("div", null, h("ul", { class: "hemfixarna_categories" }, state.selectedCategory.services
      .sort((a, b) => (a.post_title < b.post_title ? -1 : 1))
      .map(s => {
      var _a;
      return (h("hemfixarna-box", { post: s, icon: (_a = s.icon.url) !== null && _a !== void 0 ? _a : s.icon, postTitle: s.post_title }));
    }))), h("hemfixarna-info", null))));
  }
};

export { HemfixarnaCategory as hemfixarna_category };

//# sourceMappingURL=hemfixarna-category.entry.js.map