import { Business, Category, Customer, WidgetStyle } from '../../types';
interface ColorAccessibility {
  small: string;
  bold: string;
  large: string;
  overall: string;
  contrast: string;
}
export declare class MyComponent {
  selectedSlug: string;
  selectedID: string;
  tooltipText: string;
  tree: Category | null;
  customer: Customer | null;
  widgetStyle: WidgetStyle;
  buttonBg: string;
  buttonColor: string;
  partner: Business | undefined;
  colorAccessibility?: ColorAccessibility;
  loggedIn: boolean;
  loginError: boolean;
  private debounce?;
  debouncedFunction(): void;
  checkColorAccessibility(): Promise<void>;
  getColor(rating: string): "green" | "orange" | "yellow" | "red" | "black";
  componentWillLoad(): Promise<void>;
  getExample(): string;
  copyExample(): void;
  cdnLink: string;
  copyCdn(): void;
  copyNpmInstall(): void;
  showMaleri(): boolean;
  handleLogin(): Promise<void>;
  render(): any;
}
export {};
